Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.request
Class MultipartRequestSizeExceeded

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.richfaces.request.MultipartRequestSizeExceeded

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest, MultipartRequest

    public class MultipartRequestSizeExceeded

extends javax.servlet.http.HttpServletRequestWrapper

Author:
  Nick Belaevski

Nested Class Summary

Nested classes/interfaces inherited from interface org.richfaces.request.MultipartRequest
`MultipartRequest.ResponseState`

Field Summary

Fields inherited from interface org.richfaces.request.MultipartRequest
`REQUEST_ATTRIBUTE_NAME`

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`MultipartRequestSizeExceeded(javax.servlet.http.HttpServletRequest request, String uploadId, ProgressControl progressControl)`

Method Summary
`String` | `getContentType()`
`String` | `getHeader(String name)`
`MultipartRequest.ResponseState` | `getResponseState()`
`Iterable<org.richfaces.model.UploadedFile>` | `getUploadedFiles()`
`String` | `getUploadId()`
`void` | `release()`

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper
`authenticate, getAuthType, getContextPath, getCookies, getDateHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole, login, logout`

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, isWrapperFor, isWrapperFor, removeAttribute, setAttribute, setCharacterEncoding, setRequest, startAsync, startAsync`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletRequest
`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

Constructor Detail

### MultipartRequestSizeExceeded

    public MultipartRequestSizeExceeded(javax.servlet.http.HttpServletRequest request,
                                        String uploadId,
                                        ProgressControl progressControl)

Method Detail

### getResponseState

    public MultipartRequest.ResponseState getResponseState()

### getUploadedFiles

    public Iterable<org.richfaces.model.UploadedFile> getUploadedFiles()

### getUploadId

    public String getUploadId()

  Specified by:
    `getUploadId` in interface `MultipartRequest`

### release

    public void release()

  Specified by:
    `release` in interface `MultipartRequest`

### getHeader

    public String getHeader(String name)

  Specified by:
    `getHeader` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getHeader` in class `javax.servlet.http.HttpServletRequestWrapper`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getContentType` in class `javax.servlet.ServletRequestWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.